package com.tofly.ghrq_route.module.pipeAnalyze.domain;

import android.widget.LinearLayout;
import android.widget.ListView;

import com.esri.arcgisruntime.data.Feature;
import com.esri.arcgisruntime.data.Field;

import java.util.List;

/**
 * Created by li on 2017/1/18.
 */

public class PipeDetailQueryBean {
    private LinearLayout resultAreaLayout;
    private ListView mDetailList;
    private List<Feature> fetures;
    private List<Field> fields;
    private String tableName;
    private LinearLayout collapseLayout;

    public LinearLayout getCollapseLayout() {
        return collapseLayout;
    }

    public void setCollapseLayout(LinearLayout collapseLayout) {
        this.collapseLayout = collapseLayout;
    }

    public LinearLayout getResultAreaLayout() {
        return resultAreaLayout;
    }

    public void setResultAreaLayout(LinearLayout resultAreaLayout) {
        this.resultAreaLayout = resultAreaLayout;
    }

    public ListView getmDetailList() {
        return mDetailList;
    }

    public void setmDetailList(ListView mDetailList) {
        this.mDetailList = mDetailList;
    }

    public List<Feature> getFetures() {
        return fetures;
    }

    public void setFetures(List<Feature> fetures) {
        this.fetures = fetures;
    }

    public List<Field> getFields() {
        return fields;
    }

    public void setFields(List<Field> fields) {
        this.fields = fields;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
}
